﻿@model HomeIndexViewModel
@{
    ViewBag.Title = "کاوشگر بلوک های بیت کوین، لایت کوین، دوج کوین و دش کوین";
}

<div class="main-container home">
    <div class="bg-primary-gradient page-header">
        <div class="container">
            <div class="row">
                <div class="col-lg-8 offset-lg-2">
                    <h1>جستجو در بلاک چین</h1>
                    <p class="lead">اطلاعاتی را بیابید که هیچ جستجوگر بلاک چینی دیگر ندارد.</p>
                    <form role="search" method="post" action="/">
                        @Html.AntiForgeryToken()
                        <input type="hidden" value="btc" id="id_coin_symbol" name="coin_symbol">
                        <input type="hidden" value="" id="search_filter" name="search_filter">
                        <div class="input-group input-group-lg">
                            <div class="input-group-append">
                                <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                                    <span id="search-dropdown-label">BTC</span> <span class="caret"></span>
                                </button>
                                <div class="dropdown-menu" role="menu">
                                    <a class="dropdown-item" href="javascript:void(0);" onclick="setCoin('btc', 'BTC');">بیت کوین</a>
                                    <a class="dropdown-item" href="javascript:void(0);" onclick="setCoin('ltc', 'LTC');">لایت کوین</a>
                                    <a class="dropdown-item" href="javascript:void(0);" onclick="setCoin('doge', 'DOGE');">دوج کوین</a>
                                    <a class="dropdown-item" href="javascript:void(0);" onclick="setCoin('dash', 'DASH');">دش</a>
                                </div>
                            </div>
                            <input autofocus class="form-control" id="id_search_string" maxlength="128" name="search_string" type="search" placeholder="به طور مثال: 16Fg2yjwrbtC6fZp61EV9mNVKmwCzGasw5">
                        </div>
                        <p class="help-block search-filter">
                            <a href="javascript:void(0);" onclick="filterSearch('address', this);">آدرس</a>,
                            <a href="javascript:void(0);" onclick="filterSearch('tx_hash', this);">کد تراکنش</a>,
                            <a href="javascript:void(0);" onclick="filterSearch('block_hash', this);">کد بلوک</a> یا
                            <a href="javascript:void(0);" onclick="filterSearch('block_num', this);">شماره بلوک</a>
                            را وارد نمایید.
                        </p>
                        <p class="text-center">
                            <button type="submit" class="btn btn-lead btn-lg btn-xl">
                                <i class="fa fa-search"></i>
                                کاوش
                            </button>
                        </p>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="bg-light">
        <div class="container">
            <h2>مرور در بلاکچین</h2>
            <div class="row text-center">
                <div class="col-lg-2 col-md-2 col-sm-2 col-xs-3 offset-sm-2">
                    <a href="@Url.Action("Index", "BTC")" class="btc coin">
                        <span class="mpsb">بیت کوین</span>
                    </a>
                </div>
                <div class="col-lg-2 col-md-2 col-sm-2 col-xs-3">
                    <a href="@Url.Action("Index", "LTC")" class="ltc coin">
                        <span class="mpsb">لایت کوین</span>
                    </a>
                </div>
                <div class="col-lg-2 col-md-2 col-sm-2 col-xs-3">
                    <a href="@Url.Action("Index", "DOGE")" class="doge coin">
                        <span class="mpsb">دوج کوین</span>
                    </a>
                </div>
                <div class="col-lg-2 col-md-2 col-sm-2 col-xs-3">
                    <a href="@Url.Action("Index", "DASH")" class="dash coin">
                        <span class="mpsb">دش کوین</span>
                    </a>
                </div>
            </div>
            <br>
            <br>
            <div class="row">
                <p class="text-center">
                    می خواهید در مورد جستجوگر بلاک چین یا زنجیره بلوکی بیشتر بدانید؟
                    <a href="@Url.Action("Index", "About")">اینجا کلیک کنید</a>.
                </p>
            </div>
        </div>
    </div>
</div>

@section scripts{
    <script>
        function filterSearch(filter, that) {
            //Update search input
            var coin_symbol_selected = $('#id_coin_symbol').val();
            var search_placeholders = {
                'btc': {
                    'address': '16Fg2yjwrbtC6fZp61EV9mNVKmwCzGasw5',
                    'tx_hash': '2509e5b65ed362557fcf2104e89f3c2430ceecc6a3275556c1b966eb641fe092',
                    'block_hash': '0000000000000000001e847e71b955482dab7228f4849a4659c0cf5cf323f247',
                    'block_num': '330,027',
                },
                'ltc': {
                    'address': 'LcFFkbRUrr8j7TMi8oXUnfR4GPsgcXDepo',
                    'tx_hash': '3826e17bbac2724cd74b7377f0bd1489a82440d651016adda0132c42a179ad02',
                    'block_hash': '515683dee4ea5ec9341450b4f6a6c9f842a75680e96ee130bf8605e785ad59ff',
                    'block_num': '675,566',
                },
                'doge': {
                    'address': 'D7Y55r6Yoc1G8EECxkQ6SuSjTgGJJ7M6yD',
                    'tx_hash': '28132b9676b227f16bb687f49139fbb38d185caba4533a8c36d49f0fa470d83a',
                    'block_hash': '3c36f6b2abcc2e30111b997e551336db60bead9a0cd3c03fb192110bfbfe1841',
                    'block_num': '460,882',
                },
                'dash': {
                    'address': 'XdZW5Waa1i6D9za3qpFvgiwHzr8aFcXtNP ',
                    'tx_hash': 'a962e3b505d94d183c8eec832d56f0b7179564c91ed101b1f067d91ab34f5228',
                    'block_hash': '0000000000003cbbbe719c094fa09a645006090844f913ef9da62c04b4de04c4 ',
                    'block_num': '640,949',
                }
            }

            $('#id_search_string').val(search_placeholders[coin_symbol_selected][filter]);
            $('#search_filter').val(filter);

            $('.search-filter .active').removeClass('active');
            $(that).addClass('active');
        }
    </script>
}